###############################################################################
# mod_uploader / httpd.conf.in
###############################################################################
# Copyright (C) 2005 Tetsuya Kimata <kimata@acapulco.dyndns.org>
#
# All rights reserved.
#
# This software is provided 'as-is', without any express or implied
# warranty.  In no event will the authors be held liable for any
# damages arising from the use of this software.
#
# Permission is granted to anyone to use this software for any
# purpose, including commercial applications, and to alter it and
# redistribute it freely, subject to the following restrictions:
#
# 1. The origin of this software must not be misrepresented; you must
#    not claim that you wrote the original software. If you use this
#    software in a product, an acknowledgment in the product
#    documentation would be appreciated but is not required.
#
# 2. Altered source versions must be plainly marked as such, and must
#    not be misrepresented as being the original software.
#
# 3. This notice may not be removed or altered from any source
#    distribution.
#
# $Id: httpd.conf.in 657 2005-09-08 14:50:37Z svn $
###############################################################################

###############################################################################
# このファイルは，テスト用の Apache 設定ファイルです．
###############################################################################

ServerRoot                  @PWD@

PidFile                     log/httpd.pid

Listen                      8080
ServerName                  @HOSTNAME@
DocumentRoot                @PWD@
User                        @USER@

ErrorLog                    log/error_log
LogLevel                    debug

ServerTokens                full
ServerSignature             on

LoadModule                  mime_module         @LIBEXECDIR@/mod_mime.so
LoadModule                  cgi_module          @LIBEXECDIR@/mod_cgi.so
LoadModule                  uploader_module     mod_uploader.so

<IfModule mod_mime.c>
    TypesConfig             conf/mime.types
</IfModule>

<Location /up>
    SetHandler              uploader

    FileDirectory           @PWD@/file
    ThumbDirectory          @PWD@/thumb
    TmpDirectory            @PWD@/tmp

    PerPageItemNumber       20
    MaxFileSize             1048576
    TotalFileSizeLimit      10485760

    ViewTemplateFile        @PWD@/tmpl/view.htm
    ProgressTemplateFile    @PWD@/tmpl/progress.htm
    DownloadTemplateFile	@PWD@/tmpl/download.htm 
    ThumbTemplateFile       @PWD@/tmpl/thumbnail.htm 
    ErrorTemplateFile       @PWD@/tmpl/error.htm
</Location>

<Location /bin>
    Options                 ExecCGI
    AddHandler              cgi-script .cgi
</Location>

# Local Variables:
# mode: apache-conf-generic
# buffer-file-coding-system: euc-japan-dos
# End:
